org.apache.cassandra.schema

## Class Keyspaces.Builder

- java.lang.Object
- - org.apache.cassandra.schema.Keyspaces.Builder

Enclosing class:
  Keyspaces

    public static final class Keyspaces.Builder
    extends java.lang.Object

### Method Summary

All Methods Instance Methods Concrete Methods
`Keyspaces.Builder` `add(java.lang.Iterable<KeyspaceMetadata> keyspaces)`
`Keyspaces.Builder` `add(KeyspaceMetadata... keyspaces)`
`Keyspaces.Builder` `add(KeyspaceMetadata keyspace)`
`Keyspaces` `build()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### build

    public Keyspaces build()

#### add

    public Keyspaces.Builder add(KeyspaceMetadata keyspace)

#### add

    public Keyspaces.Builder add(KeyspaceMetadata... keyspaces)

#### add

    public Keyspaces.Builder add(java.lang.Iterable<KeyspaceMetadata> keyspaces)